package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.DRyxxsjyVO;
import com.unis.base.server.entity.DRyxxsjyDO;


/**
 * @author huangxing
 * @version 1.0
 * @Title: DRyxxsjyService
 * @ProjectName baseservice
 * @Description:
 * @date 2019/7/22 17:47
 */

public interface DRyxxsjyService {

	/**
	 * 根据参数获取人员列表
	 * @param dRyxxsjyVO
	 * @return
	 */
	List<DRyxxsjyVO> getDRyxxsjyList(DRyxxsjyVO dRyxxsjyVO);

	/**
	 * @param dRyxxsjyVO
	 * @param pageNum
	 * @param pageSize
	 * @return 分页获取列表
	 */
	List<DRyxxsjyVO> getDRyxxsjyPage(DRyxxsjyVO dRyxxsjyVO, Integer pageNum, Integer pageSize);

	/**
	 * 根据人员编号获取人员信息
	 * @param cfbh 人员编号
	 * @return
	 */
	DRyxxsjyDO getDRyxxsjyInfoByrybh(String ygbh);

	/**
	 * 更新人员信息
	 * @param dRyxxsjyVO
	 * @return
	 */
	int update(DRyxxsjyVO dRyxxsjyVO);

	/**
	 * 带状态更新
	 * @param dRyxxsjyVO
	 * @return
	 */
	int personnelUpdate(DRyxxsjyVO dRyxxsjyVO);

	/**
	 * 删除人员信息
	 * @param cfbh
	 * @return
	 */
	int delete(String cfbh);

	/**
	 * 添加人员信息
	 * @param dAjxxsjyVO
	 * @return
	 */
	int insert(DRyxxsjyVO dAjxxsjyVO);

	/**
	 * 根据库点代码删除人员列表
	 * @param kddm
	 * @return
	 */
    int deleteList(String kddm);

	/**
	 * 根据库点代码获取人员列表
	 * @param kddm
	 * @return
	 */
	List<DRyxxsjyVO> getPersonnelListByKddm(String kddm);

	/**
	 * 备案主表状态
	 * @param dRyxxsjyVO
	 * @return
	 */
    int updateFiling(DRyxxsjyVO dRyxxsjyVO);

	/**
	 * 更改启用状态
	 * @param dRyxxsjyVO
	 * @return
	 */
	int updateEnabled(DRyxxsjyVO dRyxxsjyVO);

	List<DRyxxsjyVO> personnelZHListByKddm(String kddm);
}
